Skip to main content
Resource Center/Bare Metal Management (Plus)/Installation Service Operations

ReconnectBaremetalPxeServer

ReconnectBaremetalPxeServer

PUT/zstack/v1/baremetal/pxeservers/{uuid}/actions

Operation ID

ReconnectBaremetalPxeServer

Since

3.1.1

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

application/json

Path Parameters

  • uuid
    StringRequired

    The UUID of the deployment server.

Body Fields

  • systemTags
    List

    Optional. The system tags.

  • userTags
    List

    Optional. The user tags.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • error
    ErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error

    • code
      StringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • description
      StringRequired

      The brief description of the error.

    • details
      StringRequired

      The details about the error.

    • elaboration
      StringRequired

      The reserved field. Default value: null.

    • opaque
      LinkedHashMapRequired

      The reserved field. Default value: null.

    • cause
      ErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventory
    BaremetalPxeServerInventoryRequired

    See inventory

    • uuid
      StringRequired

      The UUID of the deployment server.

    • zoneUuid
      StringRequired

      The zone UUID.

    • name
      StringRequired

      The name of the deployment server.

    • description
      StringRequired

      The detailed description of the deployment server.

    • hostname
      StringRequired

      The IP address of the deployment server.

    • sshUsername
      StringRequired

      The SSH username of the deployment server.

    • sshPassword
      StringRequired

      The SSH password of the deployment server.

    • sshPort
      IntegerRequired

      The SSH port of the deployment server.

    • storagePath
      StringRequired

      The storage path of the deployment server.

    • dhcpInterface
      StringRequired

      The DHCP NIC of the deployment server.

    • dhcpRangeBegin
      StringRequired

      The starting IP address that DHCP assigns to a bare metal instance.

    • dhcpRangeEnd
      StringRequired

      The ending IP address that DHCP assigns to a bare metal instance.

    • dhcpRangeNetmask
      StringRequired

      The netmask of the IP range from which DHCP assigns an IP address to a bare metal instance.

    • state
      StringRequired

      The operating status of the deployment server.

    • status
      StringRequired

      The connection status of the deployment server.

    • createDate
      TimestampRequired

      The time when the deployment server was created.

    • lastOpDate
      TimestampRequired

      The time when the deployment server was last modified.

    • totalCapacity
      LongRequired

      The total storage capacity in the specified storage path.

    • availableCapacity
      LongRequired

      The available storage space in the specified storage path.

    • attachedClusterUuids
      ListRequired

      The UUIDs of the clusters to which the deployment server is attached.